Subject: Re: bug#3145: 23.0.92; detaching GTK+ tool bar crashes emacs --daemon

From: Jan Djärv <[email-masked]>
Date: Sun, 03 May 2009 19:19:04 +0200

Stephen Berman skrev:

> 
> As long as this does not change in GTK+ and no workaround is possible in
> Emacs, I (sadly) think you should seriously consider disabling detaching
> the tool bar in the GTK+ build.  When used in conjunction with --daemon
> it is a ticking time bomb for data loss because of the crash it causes.
> I don't make this suggestion lightly, since detaching the tool bar is to
> me an acceptable workaround for the very annoying shrinking frame bug
> (see bug#3195), but precluding a crash and possible data loss should
> probably take precedence over avoiding annoyance.
> 

I don't mind disabling detaching if it is OK in the current code freeze.

	Jan D.